<nav class="breadcrumb">
  <span class="breadcrumb-item active breadcrumb-item-back">
    <a id="continue-shopping" href="" title="{{ 'cart.cart_page.continue_shopping' | t }}" class="link">{{ 'cart.cart_page.continue_shopping' | t }}</a>
  </span>
</nav>

{% if cart.item_count > 0 %}

  <form id="CartPage" action="/cart" method="post" novalidate>

    <div id="main" role="main" class="page-content pt-4 row">
        
      <div class="col-12">
        <h1 class="h4 page-title mt-1 mb-2">{{ 'cart.cart_page.page_title' | t }}</h1>
      </div>

      <div class="col-12 col-sm-8 cart-shoping">

        {% for item in cart.items %}

          <div class="cart-shoping-item bg-white p-3 mb-4 rounded" data-label="product">
             <a href="/cart/change?line={{ forloop.index }}&amp;quantity=0" class="close" title="Eliminar"> {% include 'icon-close' %} </a>
            <div class="cart-shoping-item-body d-flex no-gutters">

              <div class="col cart-shoping-item-info d-flex no-gutters">

                <div class="col cart-shoping-item-info-image pr-3">
                  {% if item.image != blank %}
                    <img src="{{ item | img_url: '260x260', crop: 'center' }}"  class="img-fluid">
                  {% endif %}
                </div>

                <div class="col cart-shoping-item-info-details">
                <span class="sku d-block pb-1">#{{ item.sku }}</span>
                <a class="product_title h6 d-block mb-1" href="{{ item.url }}">
                  {{ item.product.title }}
                </a>
                
                {% unless item.product.has_only_default_variant %}
                  <span class="variant d-block pb-1">
                    {{ item.variant.title }}
                  </span>
                {% endunless %}
 

                  {% comment %}
                    Optional, loop through custom product line items if available
                    For more info visit http://docs.shopify.com/support/your-store/products/how-do-I-collect-additional-information-on-the-product-page-Like-for-a-monogram-engraving-or-customization
                  {% endcomment %}
                  {% assign propertySize = item.properties | size %}
                  {% if propertySize > 0 %}
                    {% for property in item.properties %}
                      {% assign first_character_in_key = property.first | truncate: 1, '' %}
                      {% unless property.last == blank or first_character_in_key == '_' %}
                        <br>
                        {{ property.first }}:
                        {% comment %}
                          Check if there was an uploaded file associated
                        {% endcomment %}
                        {% if property.last contains '/uploads/' %}
                          <a href="{{ property.last }}">{{ property.last | split: '/' | last }}</a>
                        {% else %}
                          {{ property.last }}
                        {% endif %}
                      {% endunless %}
                    {% endfor %}
                  {% endif %}
                </div>

              </div>

              <div class="col cart-shoping-item-quantity d-flex flex-column" data-label="{{ 'cart.label.quantity' | t }}">
              
                <div class="qty-selector mx-auto d-flex pt-3">
                  <button type="button" class="qtyminus btn btn-link py-0 px-2" field="updates_{{ item.id }}">{% include 'icon-minus' %}</button>
                  <input type="text" name="updates[]" id="updates_{{ item.id }}" class="text-center form-control form-control-sm p-0" value="{{ item.quantity }}" />
                  <button type="button" class="qtyplus btn btn-link py-0 px-2" field="updates_{{ item.id }}">{% include 'icon-plus' %}</button>
                </div>
                {% comment %} <input type="number" name="updates[]" id="updates_{{ item.key }}" value="{{ item.quantity }}" min="0" aria-label="cantidad"> {% endcomment %}
                {% if item.quantity > 1 %}
                  <div class="total mt-auto mx-auto avenir-bold">
                    {{ 'cart.cart_table.total_label' | t }} ({{ item.quantity }})
                  </div>
                {% endif %}
              </div>

              <div class="col cart-shoping-item-price d-flex flex-column" data-label="{{ 'cart.label.price' | t }}">
              
              <div class="price d-flex pt-3 mx-auto">
                {% if item.original_line_price != item.line_price %}
                  <span class="visually-hidden">{{ 'cart.label.discounted_price' | t }}</span>
                  {{ item.price | money }}
                  <span class="visually-hidden">{{ 'cart.label.original_price' | t }}</span>
                  <s>{{ item.original_price | money }}</s>
                {% else %}
                  {{ item.price | money }}
                {% endif %}
              </div>

              {% if item.quantity > 1 %}
                <div class="total avenir-bold mt-auto mx-auto">
                  {{ item.line_price | money }}
                </div>
              {% endif %} 

              </div>

            </div>
          </div>

        {% endfor %}

      </div>

      <div class="col-12 col-sm-4">

        <span class="text-center text-uppercase d-block pb-1 xs-small msg-shipping"> {{ 'cart.cart_page.free_shipping_note' | t }} </span>
        
        <div class="summary bg-white py-3 mb-2 rounded box-shadow">

          <div class="summary-header border-bottom px-3 d-flex justify-content-between mb-3">
            <h4 class="h5 title">{{ 'cart.cart_page.cart_summary_title' | t }}</h4>
            <div class="count small text-gray avenir-medium">
              <span>{% if cart.item_count == 0 %} {% else %} {{ cart.item_count }} {% endif %}</span> {{ 'cart.cart_table.product_label' | t }}
            </div>
          </div>

          <div class="content px-3">

            {% if settings.cart_notes_enable %}
              <div class="notes pb-2 justify-content-between">
                <label class="d-block avenir-medium" for="CartSpecialInstructions">{{ 'cart.cart_page.customer_note_label' | t }}</label>
                <textarea class="form-control form-control-sm" name="note" id="CartSpecialInstructions">{{ cart.note }}</textarea>
              </div>
            {% endif %}

            {% if cart.total_discount > 0 %}
              <div class="savings d-flex justify-content-between small">
                <span class="cart-total-title pb-1">{{ 'cart.cart_table.former_label' | t }}</span>
                <s class="cart-total-discount pb-1">{{ cart.original_total_price | money }}</s>
              </div>
              <div class="savings d-flex justify-content-between small">
                <span class="cart-total-title pb-1">{{ 'cart.cart_table.subtotal_label' | t }}</span>
                <span class="cart-total-amount pb-1">{{ cart.total_discounts | money }}</span>
              </div>
            {% else %}
              <div class="subtotal d-flex justify-content-between small">
                <span class="cart-total-title pb-1">{{ 'cart.cart_table.subtotal_label' | t }}</span>
                <span class="cart-total-amount pb-1">{{ cart.total_price | money }}</span>
              </div>
            {% endif %}

          </div>

          <div class="form-group pt-4 px-3 mb-0"> 
            <label class="custom-control custom-checkbox m-0 p-0 pl-5"> 
              <input type="checkbox" class="custom-control-input" id="agree"> 
              <span class="custom-control-label"></span> 
              <span class="custom-control-description text-gray small d-inline-block">{{ 'cart.acknowledgement_checkbox.label_html' | t }}</span> 
            </label> 
            <div class="alert alert-danger small mt-2 mb-0 px-2 d-none lh-12">
              {{ 'cart.acknowledgement_checkbox.error' | t }}
            </div>
          </div>

          <div class="checkout pt-2 pb-1 px-3">
            <button class="btn btn-secondary btn-lg w-100 rounded btn-submit" type="submit" name="checkout">{{ 'cart.buttons.checkout' | t }}</button>
          </div>
           
          {% if additional_checkout_buttons %}
            <div class="additional-checkout-buttons">
              {{ content_for_additional_checkout_buttons }}
            </div>
          {% endif %}

        </div>

        <p class="m-0 small text-gray text-center">{{ 'cart.cart_page.shipping_note' | t }}</p>

        {% comment %} <button class="btn btn-link btn-sm p-0 w-100" type="submit" name="update">{{ 'cart.cart_page.buttons.update' | t }}</button> {% endcomment %}

      </div>

    </div>

  </form>

{% else %}







  <div id="main" role="main" class="page-content pt-4 row">
        
    <div class="col-12">
      <h1 class="h4 page-title mt-1 mb-2">{{ 'cart.cart_page.page_title' | t }}</h1>
    </div>

    <div class="col-12 col-sm-8 cart-shoping">

      <div class="cart-shoping-item bg-white px-3 py-6 mb-4 rounded" data-label="product">
          <p class="h5">{{ 'cart.cart_page.empty_message_html' | t }}</p>
      </div>

    </div>

    <div class="col-12 col-sm-4"> 

      <div class="summary bg-white py-3 mb-2 rounded box-shadow">

        <div class="summary-header border-bottom px-3 d-flex justify-content-between mb-3">
          <h4 class="h5 title">{{ 'customer_accounts.register.help_title' | t }}</h4>
        </div>

        <div class="content px-3">
          {% capture support_link %}
            <a class="link" href="{{ 'general.layout.support_link' | t }}">{{ 'general.layout.support_name' | t }}</a>
          {% endcapture %}
          {% capture faq_link %}
            <a class="link" href="{{ 'general.layout.faq_link' | t }}">{{ 'general.layout.faq_name' | t }}</a>
          {% endcapture %}
          <p class="small lh-22">{{ 'customer_accounts.register.help_html' | t: support_link: support_link, faq_link: faq_link }}.</p>
          <p class="avenir-bold">
            {{ 'customer_accounts.login.register_link' | t }}
          </p>
          <a href="{{ shop_url }}/account/register" class="btn btn-sm btn-secondary mb-1"> {{ 'customer_accounts.register.register_button' | t }} </a>
        </div>

      </div>

    </div>

  </div>






{% endif %}